MB-23704: Fix Python2.6 incompatibilities 40/76240/5
authorJames Harrison <00jamesh@gmail.com>
Tue, 4 Apr 2017 08:16:03 +0000 (09:16 +0100)
committerDave Rigby <daver@couchbase.com>
Tue, 4 Apr 2017 14:33:11 +0000 (14:33 +0000)
commit1c7c44d03a31e51af2f1a7efe653a6ac6df24030
treeab3d4e6cc451385b4e08c599e8b0e4627d7596d5
parent39d2dbb3e0773eca1daf300394a5556e9f083024
MB-23704: Fix Python2.6 incompatibilities

cbepctl used dictionary comprehension which requires Python>=2.7. In 2.6
it is not valid syntax. Replaced with equivalent 2.6 code.

cbstats used an OrderedDict, and formatting without field names/indexes
i.e., `"{}".format(foo)`.

Change-Id: Icf3362db4fd8095c6a9b5e1b6fa2bacae01f0dca
Reviewed-on: http://review.couchbase.org/76240
Tested-by: James Harrison <james.harrison@couchbase.com>
Reviewed-by: Dave Rigby <daver@couchbase.com>
management/cbstats
management/cli_auth_utils.py
management/mc_bin_client.py